package ch.usi.inf.sp.callgraph.renderer;

import ch.usi.inf.sp.callgraph.CallSite;

public class CallSiteAdapter extends MethodLike {

    private final CallSite callSite;

    public CallSiteAdapter(CallSite callSite) {
        this.callSite = callSite;
    }

    @Override
    public String getDeclaringClass() {
        return callSite.getDeclaredTargetClassName();
    }

    @Override
    public String getName() {
        return callSite.getTargetMethodName();
    }

    @Override
    public String getDescriptor() {
        return callSite.getTargetMethodDescriptor();
    }
}
